import { Modal, ModalService } from '@zeedhi/common';

export class ProductWithoutMovModalController {
  private prodWithoutMovSelected: string = '';
  
  private productWithoutMovModal!: Modal;

  public async createProductWithoutMovModal() {
    this.productWithoutMovModal = await ModalService.createFromJson('/modals/productWithoutMovModal', true);
  }

  public async destroyProductWithoutMovModal() {
    this.productWithoutMovModal?.destroy();
  }

  public openProductWithoutMovModal({ component, config }) {
    this.prodWithoutMovSelected = component.options.labels[config.dataPointIndex];
    this.showModal();
  }

  public closeProductWithoutMovModal() {
    this.productWithoutMovModal.hide();
  }

  public async showModal() {
    this.destroyProductWithoutMovModal();
    await this.createProductWithoutMovModal();
    this.productWithoutMovModal.show();
  }
}
